<template>
  <q-page padding>
  </q-page>
</template>

<script lang="ts">
// import { storeToRefs } from 'pinia';
import { useRoomStore } from 'src/stores/room';
import { defineComponent, onMounted, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
import { api } from 'src/boot/axios';

export default defineComponent({
  name: 'RoomPage',
  setup() {
    const router = useRouter();
    const route = useRoute();
    const roomStore = useRoomStore();
    onMounted(() => {
      const id = route.params.id instanceof Array ? route.params.id.pop() : route.params.id;
      const authenticated = ref(false);
      if (id) {
        authenticated.value = api.isAuthenticated();
        if (!authenticated.value) {
          router.push({ name: 'home' });
          sessionStorage.setItem('lastId', id);
          return;
        }
        roomStore.jwt(id)
          .then((response) => {
            const { jwt, room } = response.data;
            window.location.href = `https://${room.domain}/${room.id}?jwt=${jwt}`;
          });
      }
    });
  },
});
</script>
